Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class ResponseInfo<T>

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.FilteredResource<T>
              org.eclipse.lyo.oslc4j.core.model.ResponseInfo<T>

All Implemented Interfaces:
  IExtendedResource, IResource

Direct Known Subclasses:
  ResponseInfoArray, ResponseInfoCollection

    public abstract class ResponseInfo<T>

extends FilteredResource<T>

Wrapper for a collection or resources returned from an HTTP GET to wrap that collection in a oslc:ResponseInfo element

Constructor Summary
`ResponseInfo(T resource, Map<String,Object> properties, Integer totalCount, String nextPage)`
`ResponseInfo(T resource, Map<String,Object> properties, Integer totalCount, URI nextPage)`

Method Summary
`FilteredResource<T>` | `getContainer()`
`String` | `nextPage()`
`Integer` | `totalCount()`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.FilteredResource
`properties, resource`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseInfo

    public ResponseInfo(T resource,
                        Map<String,Object> properties,
                        Integer totalCount,
                        String nextPage)

### ResponseInfo

    public ResponseInfo(T resource,
                        Map<String,Object> properties,
                        Integer totalCount,
                        URI nextPage)

Method Detail

### totalCount

    public Integer totalCount()

### nextPage

    public String nextPage()

### getContainer

    public FilteredResource<T> getContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.